<html>
<head>
<title>Ogre::EdgeData::Edge Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1EdgeData.html">EdgeData</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1EdgeData_1_1Edge.html">Edge</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::EdgeData::Edge Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::EdgeData::Edge" -->
<p><a class="el" href="structOgre_1_1EdgeData_1_1Edge.html" title="Edge data.">Edge</a> data.  
 <a href="structOgre_1_1EdgeData_1_1Edge.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>&gt;</code></p>

<p><a href="structOgre_1_1EdgeData_1_1Edge-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1Edge.html#ac5a9a9bc9dfc4d301058ee4e5c407f8f">triIndex</a> [2]</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The indexes of the 2 tris attached, note that tri 0 is the one where the indexes run _anti_ clockwise along the edge.  <a href="#ac5a9a9bc9dfc4d301058ee4e5c407f8f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1Edge.html#aad95e9ee5714e7413367fe6c8ba5dd20">vertIndex</a> [2]</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The vertex indices for this edge.  <a href="#aad95e9ee5714e7413367fe6c8ba5dd20"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1Edge.html#a01c602e99ec1f7296cca73595e0ab55e">sharedVertIndex</a> [2]</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Vertex indices as used in the shared vertex list, not exposed.  <a href="#a01c602e99ec1f7296cca73595e0ab55e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1Edge.html#a83b46b6487ee08a92449c8698fc8fc11">degenerate</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates if this is a degenerate edge, ie it does not have 2 triangles.  <a href="#a83b46b6487ee08a92449c8698fc8fc11"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p><a class="el" href="structOgre_1_1EdgeData_1_1Edge.html" title="Edge data.">Edge</a> data. </p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00068">68</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a83b46b6487ee08a92449c8698fc8fc11"></a><!-- doxytag: member="Ogre::EdgeData::Edge::degenerate" ref="a83b46b6487ee08a92449c8698fc8fc11" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1EdgeData_1_1Edge.html#a83b46b6487ee08a92449c8698fc8fc11">Ogre::EdgeData::Edge::degenerate</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Indicates if this is a degenerate edge, ie it does not have 2 triangles. </p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00079">79</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="a01c602e99ec1f7296cca73595e0ab55e"></a><!-- doxytag: member="Ogre::EdgeData::Edge::sharedVertIndex" ref="a01c602e99ec1f7296cca73595e0ab55e" args="[2]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeData_1_1Edge.html#a01c602e99ec1f7296cca73595e0ab55e">Ogre::EdgeData::Edge::sharedVertIndex</a>[2]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Vertex indices as used in the shared vertex list, not exposed. </p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00077">77</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac5a9a9bc9dfc4d301058ee4e5c407f8f"></a><!-- doxytag: member="Ogre::EdgeData::Edge::triIndex" ref="ac5a9a9bc9dfc4d301058ee4e5c407f8f" args="[2]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeData_1_1Edge.html#ac5a9a9bc9dfc4d301058ee4e5c407f8f">Ogre::EdgeData::Edge::triIndex</a>[2]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The indexes of the 2 tris attached, note that tri 0 is the one where the indexes run _anti_ clockwise along the edge. </p>
<p>Indexes must be reversed for tri 1. </p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00072">72</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="aad95e9ee5714e7413367fe6c8ba5dd20"></a><!-- doxytag: member="Ogre::EdgeData::Edge::vertIndex" ref="aad95e9ee5714e7413367fe6c8ba5dd20" args="[2]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeData_1_1Edge.html#aad95e9ee5714e7413367fe6c8ba5dd20">Ogre::EdgeData::Edge::vertIndex</a>[2]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The vertex indices for this edge. </p>
<p>Note that both vertices will be in the vertex set as specified in 'vertexSet', which will also be the same as tri 0 </p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00075">75</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
